# Generated by Django 4.1.3 on 2022-11-30 02:55

from django.db import migrations
import karrio.lib as lib


def forwards_func(apps, schema_editor):
    db_alias = schema_editor.connection.alias
    Webhook = apps.get_model("events", "Webhook")
    _webhooks = []

    for webhook in Webhook.objects.using(db_alias).all():
        webhook.enabled_events = lib.to_dict(webhook.enabled_events)
        _webhooks.append(webhook)

    Webhook.objects.using(db_alias).bulk_update(_webhooks, ["enabled_events"])


def reverse_func(apps, schema_editor):
    pass


class Migration(migrations.Migration):

    dependencies = [
        ("events", "0006_webhook_events_alter_event_data"),
    ]

    operations = [
        migrations.RunPython(forwards_func, reverse_func),
    ]
